Bug 437125 - Package move from noarch -> arch is not getting updated properly
Package move from noarch -> arch is not getting updated properly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 11:18 EDT by Jesse Keating
Modified: 2014-01-21 18:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 13:01:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-03-12 11:18:52 EDT
Part of perl-5.10.0 a noarch package became an arch specific subpackage of
something else.  Yum seems to have installed the new arch specific one inline
with the old noarch one, leaving both installed with different versions:

$ rpm -q perl-IO-Compress-Base
perl-IO-Compress-Base-2.008-14.fc9.x86_64
perl-IO-Compress-Base-2.005-4.fc9.noarch
Comment 1 Seth Vidal 2008-03-13 03:25:46 EDT
is there also a perl-IO-Compress-Base-2.008-14.fc9.i386 in the repo?
Comment 2 Seth Vidal 2008-03-13 03:42:02 EDT
can you run:
yum list updates on a system with ONLY perl-IO-Compress-Base-2.005-4.fc9.noarch
installed?

Comment 3 Jesse Keating 2008-03-13 09:39:07 EDT
(In reply to comment #1)
> is there also a perl-IO-Compress-Base-2.008-14.fc9.i386 in the repo?
> 

In my scenario there was, but that was because I was using the static repos and
adding both the i386 and the x86_64 repos.  In the real world, that package does
not appear to be multilib, yum list only shows the x86_64 one for me, unlike yum
list perl which shows both the x86_64 installed one and the i386 available one.
Comment 4 Jesse Keating 2008-03-13 09:39:36 EDT
(In reply to comment #2)
> can you run:
> yum list updates on a system with ONLY perl-IO-Compress-Base-2.005-4.fc9.noarch
> installed?
> 
> 

It'll take me some time to recreate the scenario, I hope to be able to whilst
testing beta candidates today.
Comment 5 Bug Zapper 2008-05-14 01:58:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 seth vidal 2008-11-07 15:12:40 EST
we've done a lot of interesting changes in 3.2.20 that may impact this case. If you can test it w/3.2.20 it would be appreciated.
Comment 7 seth vidal 2009-01-21 13:01:52 EST
closing this insufficient data - but I think the recent 3.2.20 changes fix a fair bit of this problem.

Note You need to log in before you can comment on or make changes to this bug.